GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
std::formatter< gridfire::policy::NetworkPolicy > Struct Reference

`#include <policy_abstract.h>`

Inheritance diagram for std::formatter< gridfire::policy::NetworkPolicy >:
[legend]

## Public Member Functions
template<typename FormatContext>
auto | format (const gridfire::policy::NetworkPolicy &policy, FormatContext &ctx) const

## Static Public Member Functions
static constexpr auto | parse (const format_parse_context &ctx)

## Member Function Documentation

## ◆ format()

template<typename FormatContext>

auto std::formatter< gridfire::policy::NetworkPolicy >::format | ( | const gridfire::policy::NetworkPolicy & | policy,
|  | FormatContext & | ctx ) const
| inline

## ◆ parse()

static constexpr auto std::formatter< gridfire::policy::NetworkPolicy >::parse | ( | const format_parse_context & | ctx | ) |
| inline static constexpr

The documentation for this struct was generated from the following file:

- src/include/gridfire/policy/policy_abstract.h